<template>
  <q-page class="profile-events">
    <div style="padding: 32px;">
      <q-tabs
          v-model="tab"
          dense
          no-caps
          align="justify"
          narrow-indicator
          indicator-color="white"
          class="text-primary text-grey-3"
          v-show="!isCreate && !isMembers"
      >
        <q-route-tab :ripple="false" name="organise" label="Организую" :to="{ name: 'profile.events.organised' }" />
        <q-route-tab :ripple="false" name="visit" label="Посещаю" :to="{ name: 'profile.events.visited' }" />
      </q-tabs>
      <router-view />
    </div>
  </q-page>
</template>

<script>
export default {
  name: 'Profile',
  data () {
    return {
      tab: null,
      create: true
    }
  },
  computed: {
    isCreate: function () {
      return this.$route.path.includes('create')
    },
    isMembers: function () {
      return this.$route.path.includes('members')
    }
  }
}
</script>

<style lang="scss" scoped>
</style>
